<div>
  <h2 id="page-heading" data-cy="ChangementEmploiHeading">
    <span jhiTranslate="gestionPersonnel3App.changementEmploi.home.title">ChangementEmplois</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.changementEmploi.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-changement-emploi"
        [routerLink]="['/changement-emploi/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.changementEmploi.home.createLabel"> Créer un nouveau Changement Emploi </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="changementEmplois?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.changementEmploi.home.notFound">Aucun Changement Emploi trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="changementEmplois && changementEmplois.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateChangement">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.changementEmploi.dateChangement">Date Changement</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="emploi.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.changementEmploi.emploi">Emploi</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.changementEmploi.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let changementEmploi of changementEmplois; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/changement-emploi', changementEmploi.id, 'view']">{{ changementEmploi.id }}</a>
          </td>
          <td>{{ changementEmploi.dateChangement | formatMediumDate }}</td>
          <td>
            <div *ngIf="changementEmploi.emploi">
              <a [routerLink]="['/emploi', changementEmploi.emploi.id, 'view']">{{ changementEmploi.emploi.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="changementEmploi.employe">
              <a [routerLink]="['/employe', changementEmploi.employe.id, 'view']">{{ changementEmploi.employe.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/changement-emploi', changementEmploi.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/changement-emploi', changementEmploi.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(changementEmploi)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
